<?php
    require_once 'database.php';
    $db = new DB();
?>
<!DOCTYPE html>
<html>
    <head>
        <title>Newsletter</title>
        <meta charset="UTF-8">
        <link rel="stylesheet" type="text/css" href="style.css">

        <script src="js/tinymce/tinymce.min.js"></script>

        <script>
            tinymce.init({
                selector: '#emailtext'
            });
        </script>
    </head>
    <body>
        <div id="wrapper" class="shadow">
            <h1>Newsletter an alle senden</h1>
            <form action="send_newsletter.php" method="POST">
                <table border="0">
                    <tr>
                        <td>Betreff:</td>
                        <td><input type="text" name="betreff" required /></td>
                    </tr>
                    <tr>
                        <td>E-Mail-Text:</td>
                        <td><textarea type="email" id="emailtext" name="emailtext" rows="20" cols="50"></textarea></td>
                    </tr>
                    <tr>
                        <td colspan="2"><input type="submit" value="Senden" name="senden" /></td>
                    </tr>
                </table>
            </form>
            <?php
                if($_POST['senden']) {
                    $betreff = $_POST['betreff'];
                    $inhalt = $_POST['emailtext'];

                    $newsletterId = $db->writeNewsletterToDB($betreff, $inhalt);
                    if($newsletterId) {
                        echo "Newsletter in DB protokolliert.<br />";

                        $newsletterUser = $db->getAllConfirmedNewsletterEmails();
                        if(!empty($newsletterUser)) {
                            $header     = [
                                'From' => 'TutCubeDE <info@tutcube.de>',
                                'Reply-To' => 'info@tutcube.de',
                                'Content-Type' => 'text/html'
                            ];

                            foreach($newsletterUser as $user) {
                                $email = $user['email'];
                                $statusSendMail = mail($email, $betreff, $inhalt, $header);

                                $statusWriteReceiver = $db->writeNewsletterReceiverToDB($newsletterId, $user['id'], $statusSendMail);

                                if($statusSendMail) {
                                    echo "Erfolgreich Newsletter zu <strong>" . $email . "</strong> gesendet!";
                                } else {
                                    echo "Newsletter zu <strong>" . $email . "</strong> konnte nicht gesendet werden!";
                                }

                                if($statusWriteReceiver) {
                                    echo " Erfolgreich in DB protokolliert.<br />";
                                } else {
                                    echo " NICHT in DB protokolliert!<br />";
                                }
                            }
                        } else {
                            echo "Keine E-Mail-Adresse zum Newslettererhalt vorhanden!";
                        }
                    } else {
                        echo "Newsletter konnte leider nicht in DB protokolliert werden :(";
                    }
                }
            ?>
        </div>
    </body>
</html>